[Angstrom-devel] Koen Kooi : layerman: add support for multiple commands

2012-01-11 Thread Angstrom Git Repos
Module: setup-scripts
Branch: master
Commit: 564dcddd11406c6697fbcf9cb99460fa18824433

Author: Koen Kooi k...@dominion.thruhere.net
Date:   Wed Jan 11 11:29:44 2012 +0100

layerman: add support for multiple commands

Signed-off-by: Koen Kooi k...@dominion.thruhere.net

---

 scripts/layerman |   47 ---
 1 files changed, 28 insertions(+), 19 deletions(-)

diff --git a/scripts/layerman b/scripts/layerman
index a5f9f58..7d6a7a9 100755
--- a/scripts/layerman
+++ b/scripts/layerman
@@ -4,29 +4,38 @@ LAYERNAME=$1
 LAYERURI=$2
 BRANCH=$3
 REV=$4
+COMMAND=$5
 
 LAYERDIR=${OE_SOURCE_DIR}/${LAYERNAME}
 
-if ! [ -e ${LAYERDIR} ] ; then
-   echo Layer checkout missing at ${LAYERDIR}, creating one
-   git clone ${LAYERURI} ${LAYERDIR}
-   cd ${LAYERDIR}
+function update_layers() {
+if ! [ -e ${LAYERDIR} ] ; then
+echo Layer checkout missing at ${LAYERDIR}, creating one
+git clone ${LAYERURI} ${LAYERDIR}
+cd ${LAYERDIR}
 
-   if [ ${BRANCH} != master ] ; then
-   git checkout origin/${BRANCH} -b ${BRANCH}
-   fi
+if [ ${BRANCH} != master ] ; then
+git checkout origin/${BRANCH} -b ${BRANCH}
+fi
 
-   if [ ${REV} != HEAD ] ; then
-   git checkout ${REV}
-   fi
-else
-   if [ ${REV} = HEAD ] ; then
-   cd ${LAYERDIR}  echo Updating layer at layers/${LAYERNAME} 
 git stash /dev/null  git pull --rebase  git stash pop  /dev/null
-   fi
-   echo 
-fi
+if [ ${REV} != HEAD ] ; then
+git checkout ${REV}
+fi
+else
+if [ ${REV} = HEAD ] ; then
+cd ${LAYERDIR}  echo Updating layer at layers/${LAYERNAME}  
git stash /dev/null  git pull --rebase  git stash pop  /dev/null
+fi
+echo 
+fi
 
-echo Layers present in repository:
-find ${LAYERDIR} -name layer.conf | sed -e s:${LAYERDIR}:${LAYERNAME}:g -e 
s:/conf/layer\.conf::g
-echo
+echo Layers present in repository:
+find ${LAYERDIR} -name layer.conf | sed -e s:${LAYERDIR}:${LAYERNAME}:g 
-e s:/conf/layer\.conf::g
+echo
+}
 
+case $COMMAND in
+tag)
+tag;;
+*)
+update_layers;;
+esac


___
Angstrom-distro-devel mailing list
Angstrom-distro-devel@linuxtogo.org
http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/angstrom-distro-devel


[Angstrom-devel] Koen Kooi : oebb: hook up tag and changelog functionality from layerman

2012-01-11 Thread Angstrom Git Repos
Module: setup-scripts
Branch: master
Commit: 87920f55bedee09ab501a1cbcfa70033e53c6101

Author: Koen Kooi k...@dominion.thruhere.net
Date:   Wed Jan 11 12:55:25 2012 +0100

oebb: hook up tag and changelog functionality from layerman

Signed-off-by: Koen Kooi k...@dominion.thruhere.net

---

 oebb.sh |   53 -
 1 files changed, 44 insertions(+), 9 deletions(-)

diff --git a/oebb.sh b/oebb.sh
index 080a1e2..3df037f 100755
--- a/oebb.sh
+++ b/oebb.sh
@@ -46,6 +46,8 @@ function set_environment()
 # Workaround for differences between yocto bitbake and vanilla bitbake
 export BBFETCH2=True
 
+export TAG
+
 #--
 # If an env already exists, use it, otherwise generate it
 #--
@@ -224,7 +226,7 @@ function update_oe()
 fi
 
 #manage meta-openembedded and meta-angstrom with layerman
-${OE_BASE}/scripts/layers.awk ${OE_SOURCE_DIR}/layers.txt
+env gawk -v command=update -f ${OE_BASE}/scripts/layers.awk 
${OE_SOURCE_DIR}/layers.txt 
 }
 
 
@@ -309,6 +311,23 @@ _EOF
 fi
 }
 
+###
+# tag_layers - Tag all layers with a given tag
+###
+function tag_layers()
+{
+set_environment
+env gawk -v command=tag -v commandarg=$TAG -f 
${OE_BASE}/scripts/layers.awk ${OE_SOURCE_DIR}/layers.txt 
+}
+
+###
+# tag_layers - Tag all layers with a given tag
+###
+function changelog()
+{
+set_environment
+env gawk -v command=changelog -v commandarg=$TAG -f 
${OE_BASE}/scripts/layers.awk ${OE_SOURCE_DIR}/layers.txt 
+}
 
 ###
 # Build the specified OE packages or images.
@@ -320,18 +339,34 @@ if [ $# -gt 0 ]
 then
 if [ $1 = update ]
 then
-shift
-if [ ! -r $1 ]; then
-if [  $1 == commit ]
-then
-shift
-OE_COMMIT_ID=$1
-fi
-fi
 update_all
 exit 0
 fi
 
+if [ $1 = tag ]
+then
+if [ -n $2 ] ; then
+TAG=$2
+else
+TAG=$(date -u +'%Y%m%d-%H%M')
+fi
+tag_layers $TAG
+exit 0
+fi
+
+if [ $1 = changelog ]
+then
+if [ -z $2 ] ; then
+echo Changelog needs an argument
+exit 1
+else
+TAG=$2
+fi
+changelog
+exit 0
+fi
+
+
 if [ $1 = bitbake ]
 then
 shift


___
Angstrom-distro-devel mailing list
Angstrom-distro-devel@linuxtogo.org
http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/angstrom-distro-devel


[Angstrom-devel] Koen Kooi : layerman: fix typo in text output

2012-01-11 Thread Angstrom Git Repos
Module: setup-scripts
Branch: master
Commit: 41b6c4cdc7da95f371bcaf0656c949c434a09508

Author: Koen Kooi k...@dominion.thruhere.net
Date:   Wed Jan 11 12:55:20 2012 +0100

layerman: fix typo in text output

Signed-off-by: Koen Kooi k...@dominion.thruhere.net

---

 scripts/layers.awk |2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/scripts/layers.awk b/scripts/layers.awk
index c360037..7549c1e 100755
--- a/scripts/layers.awk
+++ b/scripts/layers.awk
@@ -4,6 +4,6 @@ BEGIN {
print Configured layers:\n;
  }
 
-$1 != # Name { print layer repository nam/e:  $1 \nlayer uri:  $2 
\nlayer branch/revision:  $3 / $4 ; system(${OE_BASE}/scripts/layerman  
$1$2   $3   $4   command   commandarg);}
+$1 != # Name { print layer repository name:  $1 \nlayer uri:  $2 
\nlayer branch/revision:  $3 / $4 ; system(${OE_BASE}/scripts/layerman  
$1$2   $3   $4   command   commandarg);}
 
 


___
Angstrom-distro-devel mailing list
Angstrom-distro-devel@linuxtogo.org
http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/angstrom-distro-devel


[Angstrom-devel] Koen Kooi : layerman: add command to tag all layers

2012-01-11 Thread Angstrom Git Repos
Module: setup-scripts
Branch: master
Commit: dc7d28b887670378b4f95a14eb0afc6dc85b4dc6

Author: Koen Kooi k...@dominion.thruhere.net
Date:   Wed Jan 11 12:32:41 2012 +0100

layerman: add command to tag all layers

Signed-off-by: Koen Kooi k...@dominion.thruhere.net

---

 scripts/layerman   |   33 ++---
 scripts/layers.awk |5 ++---
 2 files changed, 28 insertions(+), 10 deletions(-)

diff --git a/scripts/layerman b/scripts/layerman
index 7d6a7a9..2ce48be 100755
--- a/scripts/layerman
+++ b/scripts/layerman
@@ -5,10 +5,11 @@ LAYERURI=$2
 BRANCH=$3
 REV=$4
 COMMAND=$5
+COMMANDARG=$6
 
 LAYERDIR=${OE_SOURCE_DIR}/${LAYERNAME}
 
-function update_layers() {
+function check_layer() {
 if ! [ -e ${LAYERDIR} ] ; then
 echo Layer checkout missing at ${LAYERDIR}, creating one
 git clone ${LAYERURI} ${LAYERDIR}
@@ -21,21 +22,39 @@ function update_layers() {
 if [ ${REV} != HEAD ] ; then
 git checkout ${REV}
 fi
-else
-if [ ${REV} = HEAD ] ; then
-cd ${LAYERDIR}  echo Updating layer at layers/${LAYERNAME}  
git stash /dev/null  git pull --rebase  git stash pop  /dev/null
-fi
-echo 
 fi
+}
+
+function update_layers() {
+check_layer
+
+if [ ${REV} = HEAD ] ; then
+cd ${LAYERDIR}  echo Updating layer at layers/${LAYERNAME}  git 
stash /dev/null  git pull --rebase  git stash pop  /dev/null
+fi
+echo 
 
 echo Layers present in repository:
 find ${LAYERDIR} -name layer.conf | sed -e s:${LAYERDIR}:${LAYERNAME}:g 
-e s:/conf/layer\.conf::g
 echo
 }
 
+function tag_layers() {
+check_layer
+cd ${LAYERDIR}  echo Tagging layer with $COMMANDARG  git tag 
$COMMANDARG
+echo 
+}
+
+function diff_tags() {
+check_layer
+cd ${LAYERDIR}  echo Changes in between $COMMANDARG  git shortlog 
$COMMANDARG
+echo 
+}
+
 case $COMMAND in
 tag)
-tag;;
+tag_layers;;
+changelog)
+diff_tags;;
 *)
 update_layers;;
 esac
diff --git a/scripts/layers.awk b/scripts/layers.awk
index 9faa237..c360037 100755
--- a/scripts/layers.awk
+++ b/scripts/layers.awk
@@ -1,10 +1,9 @@
-#!/usr/bin/awk -f
 
-BEGIN { 
+BEGIN {
FS =,;
print Configured layers:\n;
  }
 
-$1 != # Name { print layer repository name:  $1 \nlayer uri:  $2 
\nlayer branch/revision:  $3 / $4 ; system(${OE_BASE}/scripts/layerman  
$1$2   $3   $4);}
+$1 != # Name { print layer repository nam/e:  $1 \nlayer uri:  $2 
\nlayer branch/revision:  $3 / $4 ; system(${OE_BASE}/scripts/layerman  
$1$2   $3   $4   command   commandarg);}
 
 


___
Angstrom-distro-devel mailing list
Angstrom-distro-devel@linuxtogo.org
http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/angstrom-distro-devel


[Angstrom-devel] (no subject)

2012-01-11 Thread matti kaasinen
Hi!
Do anyone know how to configure busybox (busybox-1.13.2) for
installing hwclock? Now, with default set-up of at91sam9260ek
busybox-1.13.2/defconfig seems to have CONFIG_HWCLOCK=y
CONFIG_FEATURE_HWCLOCK_LONG_OPTIONS=y
CONFIG_FEATURE_HWCLOCK_ADJTIME_FHS=y
It seems to produce binaries to
work/armv5te-angstrom-linux-gnueabi/busybox-1.13.2-r42.4/busybox-1.13.2/util-linux.
However, related to hwclock things, it seems to install only:
hwclock.sh to /etc/init.d
and
hwclock-default to /etc/default/hwclock

Is there some set-up I'm missing or could there be some kind of
installation bug in busybox-1.13.2 recipe or 2011.03-maintenance
branch?

-Matti

___
Angstrom-distro-devel mailing list
Angstrom-distro-devel@linuxtogo.org
http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/angstrom-distro-devel


[Angstrom-devel] busybox-1.13.2 does not install hwclock

2012-01-11 Thread matti kaasinen
Hi!
Do anyone know how to configure busybox (busybox-1.13.2) for
installing hwclock? Now, with default set-up of at91sam9260ek
busybox-1.13.2/defconfig seems to have CONFIG_HWCLOCK=y
CONFIG_FEATURE_HWCLOCK_LONG_OPTIONS=y
CONFIG_FEATURE_HWCLOCK_ADJTIME_FHS=y
It seems to produce binaries to
work/armv5te-angstrom-linux-gnueabi/busybox-1.13.2-r42.4/busybox-1.13.2/util-linux.
However, related to hwclock things, it seems to install only:
hwclock.sh to /etc/init.d
and
hwclock-default to /etc/default/hwclock

Is there some set-up I'm missing or could there be some kind of
installation bug in busybox-1.13.2 recipe or 2011.03-maintenance
branch?

-Matti

___
Angstrom-distro-devel mailing list
Angstrom-distro-devel@linuxtogo.org
http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/angstrom-distro-devel


[Angstrom-devel] git server down?

2012-01-11 Thread Andreas Müller
Hi

feels like angstrom git server is down:

| git pull
| fatal: Unable to look up git.angstrom-distribution.org (port 9418) (Name or 
service not known)

Also opening
http://git.angstrom-distribution.org/

fails. Is it only me facing this?

Andreas

___
Angstrom-distro-devel mailing list
Angstrom-distro-devel@linuxtogo.org
http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/angstrom-distro-devel


Re: [Angstrom-devel] git server down?

2012-01-11 Thread Philip Balister
On 01/11/2012 05:06 PM, Andreas Müller wrote:
 Hi
 
 feels like angstrom git server is down:
 
 | git pull
 | fatal: Unable to look up git.angstrom-distribution.org (port 9418) (Name or 
 service not known)
 
 Also opening
 http://git.angstrom-distribution.org/

This worked for me just now.

Philip

 
 fails. Is it only me facing this?
 
 Andreas
 
 ___
 Angstrom-distro-devel mailing list
 Angstrom-distro-devel@linuxtogo.org
 http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/angstrom-distro-devel
 

___
Angstrom-distro-devel mailing list
Angstrom-distro-devel@linuxtogo.org
http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/angstrom-distro-devel


Re: [Angstrom-devel] git server down?

2012-01-11 Thread Graeme Gregory
On Wed, 2012-01-11 at 23:06 +0100, Andreas Müller wrote:
 Hi
 
 feels like angstrom git server is down:
 
 | git pull
 | fatal: Unable to look up git.angstrom-distribution.org (port 9418) (Name or 
 service not known)
 
 Also opening
 http://git.angstrom-distribution.org/
 
 fails. Is it only me facing this?
 
It was down thanks.

I have now restarted the git daemon as it appear to have dissapeared up
its own butt.

Graeme



___
Angstrom-distro-devel mailing list
Angstrom-distro-devel@linuxtogo.org
http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/angstrom-distro-devel